// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "scene/SceneList.hpp"
#include "component/display/Camera.hpp"

using namespace Dawn;

void Dawn::helloWorldScene(Scene &s) {
  std::cout << "Hello World Scene" << std::endl;

  auto cameraItem = s.createSceneItem();
  auto camera = cameraItem->addComponent<Camera>();
}